[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: ALERT: Yesterday's "mailx" broken? (version 1:8.1.1-10.1.2)



On Wed, Aug 09, 2000 at 09:29:26AM +0200, Ralf G. R. Bergs wrote:
> [Package maintainer has been cc'ed.]
> 
> Hi there,
> 
> I got alarmed when I wouldn't receive any logcheck output anymore. When I 
> found out the reason I was quite puzzled.
> 
> This
> 
>     echo test | mail -s "test" root
> 
> doesn't work anymore. Is there any other interpretation apart from calling the 
> mail binary "broken?"
> 
> I'm running Debian 2.2 frozen plus a few "unstable" packages.

yes that version of mail was indeed broken, any time you piped
anything into its standard input it would segfault (apparently).  

the solution is quite simple:

apt-get update && apt-get install mailx

which will upgrade to 1:8.1.1-10.1.3 which fixes the problem. 

-- 
Ethan Benson
http://www.alaska.net/~erbenson/

Attachment: pgpoV6CxeUKyX.pgp
Description: PGP signature


Reply to: